#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	elfutils
Version		:	0.190
Release		:	17.0.10.rel%{?dist}
Summary		:	A collection of utilities and DSOs to handle compiled objects

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv3+ and (GPLv2+ or LGPLv3+)
URL		:	https://sourceware.org/elfutils 

Source0		:	%{name}-%{version}.tar.bz2
#-----------------------------------------------------------------------------
BuildRequires	:	bison
BuildRequires	:	flex
BuildRequires	:	gcc
BuildRequires	:	gcc-c++
BuildRequires	:	gettext
BuildRequires	:	xz-devel

Requires	:	%{name}-libs		= %{version}-%{release}
Requires	:	%{name}-libelf		= %{version}-%{release}
#-----------------------------------------------------------------------------
%description
Elfutils is a collection of utilities, including stack (to show
backtraces), nm (for listing symbols from object files), size
(for listing the section sizes of an object or archive file),
strip (for discarding symbols), readelf (to see the raw ELF file
structures), elflint (to check for well-formed ELF files) and
elfcompress (to compress or decompress ELF sections).

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README TODO CONTRIBUTING
%license COPYING COPYING-GPLV2 COPYING-LGPLV3 doc/COPYING-GFDL
%{_bindir}/eu-*
%{_mandir}/man1/eu-*.1.gz

#=============================================================================
%package		libs
Summary		:	Libraries to handle compiled objects

#-----------------------------------------------------------------------------
Requires	:	%{name}-libelf

Provides	:	%{name}-libs
#-----------------------------------------------------------------------------
%description		libs
The elfutils-libs package contains libraries which implement DWARF, ELF,
and machine-specific ELF handling and process introspection.  These
libraries are used by the programs in the elfutils package.  The
elfutils-devel package enables building other programs using these
libraries.

#-----------------------------------------------------------------------------
%files			libs
%license COPYING-GPLV2 COPYING-LGPLV3
%{_libdir}/libasm-%{version}.so
%{_libdir}/libdw-%{version}.so
%{_libdir}/libasm.so.*
%{_libdir}/libdw.so.*
#=============================================================================
%package		devel
Summary		:	Development libraries to handle compiled objects

#-----------------------------------------------------------------------------
Requires	:	%{name}-libs		= %{version}-%{release}
Requires	:	%{name}-libelf-devel	= %{version}-%{release}

Provides	:	%{name}-devel
#-----------------------------------------------------------------------------
%description devel
The elfutils-devel package contains the libraries to create
applications for handling compiled objects.  libdw provides access
to the DWARF debugging information.  libasm provides a programmable
assembler interface.

#-----------------------------------------------------------------------------
%files			devel
%{_includedir}/dwarf.h
%{_includedir}/%{name}/*.h
%{_libdir}/libasm.so
%{_libdir}/libdw.so
%{_libdir}/pkgconfig/libdw.pc
#{_libdir}/pkgconfig/libdebuginfod.pc
#=============================================================================
%package		libelf
Summary		:	Library to read and write ELF files

Provides	:	%{name}-libelf
#-----------------------------------------------------------------------------
%description		libelf
The elfutils-libelf package provides a DSO which allows reading and
writing ELF files on a high level.  Third party programs depend on
this package to read internals of ELF files.  The programs of the
elfutils package use it also to generate new ELF files.
#-----------------------------------------------------------------------------
%files			libelf -f %{name}.lang
%{_libdir}/libelf-%{version}.so
%{_libdir}/libelf.so.*

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig
#=============================================================================
%package		libelf-devel
Summary		:	Development support for libelf

#-----------------------------------------------------------------------------
Requires	:	%{name}-libelf		= %{version}-%{release}

Provides	:	%{name}-libelf-devel
#-----------------------------------------------------------------------------
%description libelf-devel
The elfutils-libelf-devel package contains the libraries to create
applications for handling compiled objects.  libelf allows you to
access the internals of the ELF object file format, so you can see the
different sections of an ELF file.

#-----------------------------------------------------------------------------
%files			libelf-devel
%{_includedir}/libelf.h
%{_includedir}/gelf.h
%{_includedir}/nlist.h
%{_libdir}/libelf.so
%{_libdir}/pkgconfig/libelf.pc
%{_mandir}/man3/elf_*.3.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -i -f
./configure						\
	--enable-maintainer-mode			\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--enable-valgrind				\
	--program-prefix="eu-"				\
	--disable-debuginfod				\
	--disable-libdebuginfod				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove static library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.a					\
	-delete

%find_lang	%{name}
#-----------------------------------------------------------------------------
%changelog
